      *****************************************
      * CobolScript program name: email.cbl
      * This web-based program provides an example 
      * of SENDMAIL usage.
      *
      * Formatting characters in the TERXTAREA 
      * containing the message are translated 
      * by the web server to special codes; 
      * these are left as-is so that you can see
      * what the raw message looks like when you
      * receive the email.
      *
      * Copyright 2000 Deskware, Inc.
      *****************************************                                                            
      * Syntax: SENDMAIL USING <to-address> <from-address> <subject> <message> <smtp-server>.               
      *
      * Include the TCP/IP variable copybook.
       COPY `tcpip.cpy`.

       1 web_header_html.
        5 `Content-type: text/html`.
        5 ` `.
        5 `<HTML><BODY BGCOLOR="C0C0C0">`.
        5 `<CENTER>`.
        5 `<FONT SIZE=5> <B>Sample Email Application</B></FONT><HR>`.
        5 `<BR>This sample application demonstrates how to use CobolScript to send emails.<BR><BR>`.


       1 email_form_html.
        5 `<BR><BR><BR><BR>`.
        5 `<TABLE BORDER=1 BGCOLOR="FFFF99"><TR><TD>`.
        5 `<FORM ACTION="/cgi-bin/cobolscript.exe?email.cbl" METHOD="POST"><BR>`.
        5 `<TABLE BORDER=0 bgcolor="ffff99" cellpadding=0 cellspacing=0>`.
        5 `<TR>`.
        5 `<TD>To:</TD>`.
        5 `<TD><INPUT TYPE="TEXT" NAME="to_address" SIZE=31 MAXLENGTH=30 VALUE="`.

        5 to_address PIC X(30) VALUE `Enter destination address`.

        5 `"><BR></TD>`.
        5 `</TR>`.
        5 `<TR>`.
        5 `<TD>From:</TD>`.
        5 `<TD><INPUT TYPE="TEXT" NAME="from_address" SIZE=31 MAXLENGTH=30 VALUE="`. 

        5 from_address PIC X(30) VALUE `Enter your email address`.

        5 `"><BR></TD>`.
        5 `</TR>`.
        5 `<TR>`.
        5 `<TD>Subject:</TD>`.
        5 `<TD><INPUT TYPE="TEXT" NAME="subject" SIZE=31 MAXLENGTH=40 VALUE="`.

        5 subject PIC X(40) VALUE `Enter message subject`.

        5 `"><BR></TD>`.
        5 `</TR>`.
        5 `<TR>`.
        5 `<TD>Message:</TD>`.
        5 `<TD><TEXTAREA NAME="message" ROWS=6 COLS=40>`.

        5 message PIC X(200) VALUE `Type message here, max 200 characters.`.

        5 `</TEXTAREA></TD>`.
        5 `</TR>`.
        5 `</TABLE>`.
        5 `<BR><BR>`.
        5 `&nbsp;&nbsp;<INPUT TYPE="SUBMIT" VALUE="Send Email">`.
        5 `<INPUT TYPE="reset" VALUE="Clear">`.
        5 `</FORM>`.
        5 `</TD></TR></TABLE>`.


       1 web_footer_html.
         5 `</CENTER>`.
         5 `</BODY></HTML>`.


       main.
           1 smtp_server     PIC X(40).
           1 content_length  PIC 9999  VALUE 0.
           1 error           PIC 9. 

           DISPLAYLF web_header_html.
           GETENV USING `CONTENT_LENGTH` content_length.

           IF content_length > 0
              ACCEPT DATA FROM WEBPAGE
              PERFORM send_email
           END-IF.

           DISPLAY email_form_html.
           DISPLAY web_footer_html.
           GOBACK.


       send_email.
      *   Change the value for smtp_server variable below to your own SMTP server.    
          MOVE `yoursmtpserver.com` TO smtp_server.

          IF smtp_server(1:18) = `yoursmtpserver.com`
               DISPLAY `<B>You must change the value for the smtp_server variable in the send_mail paragraph`
                     & `<BR>of this program to your own SMTP server before email can be sent.</B><BR>`
          ELSIF to_address(1:5) = `Enter`  OR to_address = SPACES
             OR from_address(1:5) = `Enter` OR from_address = SPACES
               DISPLAY `<B>Enter a valid From: and To: email address</B><BR>`
          ELSE
               SENDMAIL USING to_address
                         from_address
                         subject
                         message
                         smtp_server
               DISPLAY `<BR><BR>`
               DISPLAY `TCPIP-RETURN-CODE: `    & TCPIP-RETURN-CODE    & `<BR>`
               DISPLAY `TCPIP-RETURN-MESSAGE: ` & TCPIP-RETURN-MESSAGE & `<BR>`
          END-IF.
