      ****************************************
      * Program name: getban.cbl
      * This program demonstrates how to use
      * the GETBANNER command.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************                                                             
      * Syntax: GETBANNER USING <banner contents>
      *                         <banner character>
      *                         <banner>.
      *
       1 banner_character          PIC X(01).
       1 banner_contents           PIC X(08).
       1 banner.
          5  banner_line1          PIC X(45).
          5  banner_line2          PIC X(45).
          5  banner_line3          PIC X(45).
          5  banner_line4          PIC X(45).
          5  banner_line5          PIC X(45).
          5  banner_line6          PIC X(45).
          5  banner_line7          PIC X(45).
          5  banner_line8          PIC X(45).
        
       DISPLAY `This program demonstrates the use of the `.
       DISPLAY `GETBANNER command. `.
       DISPLAYLF.

       MOVE `#`          TO banner_character.
       MOVE `TEST`       TO banner_contents.

       GETBANNER USING banner_contents
                       banner_character
                       banner.

       DISPLAYLF banner.

