      ****************************************
      * Program name: webban.cbl
      * This program demonstrates how to use
      * the GETBANNER command.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************                                                             
      * Syntax: GETBANNER USING <banner contents>
      *                         <banner character>
      *                         <banner gldi variable>.
      *                                                               
       1 banner_character          PIC X(01) VALUE ` `.
       1 banner_contents           PIC X(08) VALUE `DESKWARE`.
       1 banner.
          5  banner_line1          PIC X(65).
          5  banner_line2          PIC X(65).
          5  banner_line3          PIC X(65).
          5  banner_line4          PIC X(65).
          5  banner_line5          PIC X(65).
          5  banner_line6          PIC X(65).
          5  banner_line7          PIC X(65).
          5  banner_line8          PIC X(65).
       1 content_length            PIC 9(05).
        

       GETENV USING `CONTENT_LENGTH` content_length.
       IF content_length > 0 THEN
          ACCEPT DATA FROM WEBPAGE
       END-IF.

       DISPLAY `Content-type: text/html`.
       DISPLAY linefeed.
       DISPLAY `<HTML><BODY>`.
       DISPLAY `<CENTER>`.
       DISPLAY `This program demonstrates the use of the `.
       DISPLAY `GETBANNER command. `.
       DISPLAY `</CENTER>`.

       DISPLAY `<FORM ACTION="/cgi-bin/cobolscript.exe?webban.cbl" METHOD="POST">`.
       DISPLAY `Banner Text:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<INPUT TYPE="TEXT"  SIZE="8" NAME="banner_contents" VALUE="">`.
       DISPLAY `<BR>`.
       DISPLAY `Banner character:&nbsp;&nbsp;<INPUT TYPE="TEXT"  SIZE="1" NAME="banner_character" VALUE="">`.
       DISPLAY `<BR><BR>`.
       DISPLAY `<INPUT TYPE="SUBMIT" VALUE="Display Banner">`.
       DISPLAY `<INPUT TYPE="RESET" VALUE="Reset">`.
       DISPLAY `</FORM>`.
       DISPLAY `<HR>`.

       GETBANNER USING banner_contents banner_character banner.

       DISPLAYLF `<BR><PRE>`.
       DISPLAYLF banner_line1.
       DISPLAYLF banner_line2.
       DISPLAYLF banner_line3.
       DISPLAYLF banner_line4.
       DISPLAYLF banner_line5.
       DISPLAYLF banner_line6.
       DISPLAYLF banner_line7.
       DISPLAYLF banner_line8.
       DISPLAYLF `<BR></PRE>`.
       DISPLAY `</BODY></HTML>`.

