      ****************************************
      * Program name: getcal.cbl
      * This program demonstrates how to use
      * the GETCALENDAR command.  GETCALENDAR
      * does not support pre-Julian calendar
      * dates, therefore the <year> argument
      * that you use must be >= 1752.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************                                                             
      * Syntax: GETCALENDAR USING <year>
      *                           <month>
      *                           <calendar gldi variable>.
      *                                                               
       1 month                     PIC 9(02).
       1 year                      PIC 9(04).
       1 calendar.
          5 calendar_line1         PIC X(30).
          5 calendar_line2         PIC X(30).
          5 calendar_line3         PIC X(30).
          5 calendar_line4         PIC X(30).
          5 calendar_line5         PIC X(30).
          5 calendar_line6         PIC X(30).
          5 calendar_line7         PIC X(30).
          5 calendar_line8         PIC X(30).

       DISPLAY `This program demonstrates the use of the `.
       DISPLAY `GETCALENDAR command. `.
       DISPLAYLF.

       GETCALENDAR USING 1999 02 calendar.
       DISPLAYLF calendar.

